#!/bin/bash
# you will need root build the program

# get directory of this script
SOURCE="${BASH_SOURCE[0]}"
# resolve $SOURCE until the file is no longer a symlink
while [ -h "$SOURCE" ]; do
    DIR="$( cd -P "$( dirname "$SOURCE" )" >/dev/null 2>&1 && pwd )"
    SOURCE="$(readlink "$SOURCE")"
    # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
    [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE"
done
DIR="$( cd -P "$( dirname "$SOURCE" )" >/dev/null 2>&1 && pwd )"


EVIO_LIB=$DIR/../third_party/evio/lib
ET_LIB=$DIR/../third_party/et/lib64
PRCONF_LIB=$DIR/../third_party/prconf
SIMP_LIB=$DIR/../third_party/simple

export LD_LIBRARY_PATH=$EVIO_LIB:$PRCONF_LIB:$SIMP_LIB:$LD_LIBRARY_PATH
